
Foreman - Feature #183

Add a searchbar facility to the hosts page

03/20/2010 10:37 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The current search facility does not support remembering searches and uses a lot of page space

Related issues:

Blocked by Foreman - Refactor #193: move hosts controller away from AS Closed 03/25/2010

Associated revisions

Revision cdd8bb6f - 05/06/2010 02:47 PM - Paul Kelly

Fixes #183 - Adds searchbar facility to hosts

Qualified the fact_selected partial

Added a reset button

Added popup help

Beautification and grooming

History

#1 - 03/20/2010 10:49 AM - Paul Kelly

- Status changed from New to Ready For Testing

Fixed on feature/183 on my github, forked from upstream/NO_AS

There is now single searchbar that is always present. It contains EITHER a search contructor, (based on Ohad's search popup,) or a tabbed list of

saved searches.

The underlying logic can be simply extended to other controllers if required.

Maybe a CSS guru could make it more attractive but it is not bad as it stands.

#2 - 04/28/2010 10:21 AM - Ohad Levy

can you please rebase again against develop?

#3 - 04/28/2010 10:49 AM - Ohad Levy

- Target version set to 0.1-5

#4 - 04/30/2010 10:12 AM - Paul Kelly

Resynced with develop and made to look much better

No held within the minilist rather than the header

#5 - 05/05/2010 02:04 PM - Paul Kelly

Rebased against develop and ensured that all tests pass

#6 - 05/06/2010 02:51 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset cdd8bb6f9dedcfc2eccd882ad79c5ac637c6bcf5.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/cdd8bb6f9dedcfc2eccd882ad79c5ac637c6bcf5


#7 - 05/06/2010 04:21 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
